<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<html>
  <head>
  </head>
  <body>
    <h1>Banking Interface</h1>
    
    <jsp:include page="loggedOnUser.jsp"  flush="true"/>
    
    <h2>Query Bank Account Balances</h2>
    <form name="queryForm" method="post" action="controller">
      <input type="hidden" name="action" value="getBalance" />
      <table>
        <tr><td>Account Name: </td><td><input type="" name="accountName" /></td></tr>
        <tr><td colspan="2"><input type="submit" name="/controller/getBalance" value="Get Balance" /></td></tr>
      </table>
    </form>
    
    <h2>Modify Bank Account Balances</h2>
    <form name="modifyForm" method="post" action="controller">
      <input type="hidden" name="action" value="setBalance" />
      <table>
        <tr><td>Account Name: </td><td><input type="text" name="accountName" /></td></tr>
        <tr><td>New Balance: </td><td><input type="text" name="balance" /></td></tr>
        <tr><td colspan="2"><input type="submit" name="/controller/setBalance" value="Set Balance" /></td></tr>
      </table>    
    </form>
    
    <jsp:include page="usersAndRoles.jsp"  flush="true"/>

  </body>
</html>